ros-rolling-moveit-kinematics (2.12.0-1noble) noble; urgency=high

  * Enhancement/use hpp for headers (#3113 <https://github.com/ros-planning/moveit2/issues/3113>)
  * Contributors: Tom Noble

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 29 Nov 2024 05:00:00 -0000

ros-rolling-moveit-kinematics (2.11.0-1noble) noble; urgency=high

  * Export the IKFast library correctly (#2999 <https://github.com/moveit/moveit2/issues/2999>)
  * Use Python3 with IKFast generation script (#2997 <https://github.com/moveit/moveit2/issues/2997>)
  * Contributors: AndyZe

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 16 Sep 2024 04:00:00 -0000

ros-rolling-moveit-kinematics (2.10.0-1noble) noble; urgency=high

  * At least on humble, error is: 'robot_description_kinematics.arm.min_joint_config_distance' has invalid type: expected [double] got [integer]. (#2865 <https://github.com/moveit/moveit2/issues/2865>)
  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * CI: Fix building of ikfast plugins (#2791 <https://github.com/moveit/moveit2/issues/2791>)
    Ignore missing authentication for Indigo packages using --force-yes.
  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Contributors: Henning Kayser, Robert Haschke, Sebastian Jahr, Tyler Weaver, s-trinh

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 13 Jun 2024 04:00:00 -0000

ros-rolling-moveit-kinematics (2.9.0-1noble) noble; urgency=high

  * Node logging for the rest of MoveIt (#2599 <https://github.com/ros-planning/moveit2/issues/2599>)
  * Remove LMA kinematics plugin (#2595 <https://github.com/ros-planning/moveit2/issues/2595>)
  * Update ROS Snapshots GPG key (#2547 <https://github.com/ros-planning/moveit2/issues/2547>)
    * Update GPG key for ROS snapshot
    * Add link
  * Do not pass and return simple types by const ref (#2453 <https://github.com/ros-planning/moveit2/issues/2453>)
    Co-authored-by: Nils <mailto:nilsmailiseke@gmail.com>
  * Update pre-commit and add to .codespell_words (#2465 <https://github.com/ros-planning/moveit2/issues/2465>)
  * Fix CMake error when building cached_ik_kinematics_plugin with trac_ik present (#2421 <https://github.com/ros-planning/moveit2/issues/2421>)
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Update clang-format-14 with QualifierAlignment (#2362 <https://github.com/ros-planning/moveit2/issues/2362>)
    * Set qualifier order in .clang-format
    * Ran pre-commit to update according to new style guide
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Marq Rasmussen, Sebastian Castro, Sebastian Jahr, Shobuj Paul, Stephanie Eng, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 09 Jan 2024 05:00:00 -0000

ros-rolling-moveit-kinematics (2.8.0-1noble) noble; urgency=high

  * Fix linking error with cached_ik_kinematics_plugin (#2292 <https://github.com/ros-planning/moveit2/issues/2292>)
  * Fix ikfast package template (#2195 <https://github.com/ros-planning/moveit2/issues/2195>)
  * Make loggers static or move into anonymous namespace (#2184 <https://github.com/ros-planning/moveit2/issues/2184>)
    * Make loggers static or move into anonymous namespace
    * Update moveit_ros/planning_interface/move_group_interface/src/move_group_interface.cpp
    * Update moveit_ros/planning_interface/move_group_interface/src/move_group_interface.cpp
    * Move LOGGER out of class template
  * Contributors: Jafar, Sebastian Jahr, Shane Loretz

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 10 Sep 2023 04:00:00 -0000

ros-rolling-moveit-kinematics (2.7.4-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 18 May 2023 04:00:00 -0000

ros-rolling-moveit-kinematics (2.7.3-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 24 Apr 2023 04:00:00 -0000

ros-rolling-moveit-kinematics (2.7.2-1noble) noble; urgency=high

  * Fix moveit_kinematics dependency on moveit_ros_planning (#2109 <https://github.com/ros-planning/moveit2/issues/2109>)
    This dependency is unconditionally used even if tests are disabled.
  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * Readability: kinematic_state -> robot_state (#2078 <https://github.com/ros-planning/moveit2/issues/2078>)
  * Contributors: Scott K Logan, Sebastian Jahr, Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 18 Apr 2023 04:00:00 -0000

ros-rolling-moveit-kinematics (2.7.1-1noble) noble; urgency=high

  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Add ament export (#1887 <https://github.com/ros-planning/moveit2/issues/1887>)
    * Add ament export
    Also sort find_package entries alphabetically.
    * Minor cleanup
    ---------
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
  * Contributors: Gaël Écorchard, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Mar 2023 04:00:00 -0000

ros-rolling-moveit-kinematics (2.7.0-1noble) noble; urgency=high

  * Merge PR #1712 <https://github.com/ros-planning/moveit2/issues/1712>: fix clang compiler warnings + stricter CI
  * converted characters from string format to character format (#1881 <https://github.com/ros-planning/moveit2/issues/1881>)
  * Add noexcept specifier to constructors
  * Add default copy/move constructors/assignment operators
    As a user-declared destructor deletes any implicitly-defined move constructor/assignment operator,
    we need to declared them manually. This in turn requires to declare the copy constructor/assignment as well.
  * Fix IKFAST_TEST (#1850 <https://github.com/ros-planning/moveit2/issues/1850>)
  * Change log level of CHOMP runtime output and change kdl print (#1818 <https://github.com/ros-planning/moveit2/issues/1818>)
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Enable -Wold-style-cast (#1770 <https://github.com/ros-planning/moveit2/issues/1770>)
  * Remove MOVEIT_LIB_NAME (#1751 <https://github.com/ros-planning/moveit2/issues/1751>)
    It's more readable and searchable if we just spell out the target
    name.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Used C++ style cast instead of C style cast  (#1628 <https://github.com/ros-planning/moveit2/issues/1628>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Use a stronger source of randomness (#1721 <https://github.com/ros-planning/moveit2/issues/1721>)
    * Remove use of deprecated std::random_shuffle
    * Replace random number generators with rsl::rng
    * Utilize rsl::uniform_real
  * Contributors: Abhijeet Das Gupta, Chris Thrasher, Christian Henkel, Cory Crean, Robert Haschke, Sameer Gupta, Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 29 Jan 2023 05:00:00 -0000

ros-rolling-moveit-kinematics (2.6.0-1noble) noble; urgency=high

  * Use generate_parameter_library to load KDL kinematics parameters (#1671 <https://github.com/ros-planning/moveit2/issues/1671>)
  * Use generate_parameter_library to load ikfast kinematics parameters (#1675 <https://github.com/ros-planning/moveit2/issues/1675>)
  * Use generate_parameter_library to load cached IK kinematics parameters (#1677 <https://github.com/ros-planning/moveit2/issues/1677>)
  * Use generate_parameter_library to load srv kinematics parameters (#1674 <https://github.com/ros-planning/moveit2/issues/1674>)
  * Use generate_parameter_library to load LMA kinematics parameters (#1673 <https://github.com/ros-planning/moveit2/issues/1673>)
  * Merge PR #1553 <https://github.com/ros-planning/moveit2/issues/1553>: Improve cmake files
  * Use standard exported targets: export_${PROJECT_NAME} -> ${PROJECT_NAME}Targets
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Use pragma once as header include guard (#1525 <https://github.com/ros-planning/moveit2/issues/1525>)
  * Unified code comment style (#1053 <https://github.com/ros-planning/moveit2/issues/1053>)
    * Changes the comment style from /**/ to //
    Co-authored-by: JafarAbdi <mailto:cafer.abdi@gmail.com>
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Remove __has_include statements (#1481 <https://github.com/ros-planning/moveit2/issues/1481>)
  * Merge https://github.com/ros-planning/moveit/commit/a63580edd05b01d9480c333645036e5b2b222da9
  * Merge PR #3172 <https://github.com/ros-planning/moveit2/issues/3172>: Fix CI
  * Fix test_ikfast_plugins.sh
    - Create panda.urdf using catkin build panda_description
    - Improve debug output
  * Fix run_quiet()
    - Show output on error
    - Restore both stdout and stderr
  * auto_create_ikfast_moveit_plugin.sh: allow xacro input
  * Contributors: Abishalini Sivaraman, J. Javan, Michael Marron, Robert Haschke, Sebastian Jahr, Vatan Aksoy Tezer, abishalini

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 10 Nov 2022 05:00:00 -0000

ros-rolling-moveit-kinematics (2.5.3-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 28 Jul 2022 04:00:00 -0000

ros-rolling-moveit-kinematics (2.5.2-1noble) noble; urgency=high

  * Merge remote-tracking branch 'origin/main' into feature/msa
  * Removing more boost usage (#1372 <https://github.com/ros-planning/moveit2/issues/1372>)
  * Merge remote-tracking branch 'upstream/main' into feature/msa
  * Removing some boost usage (#1331 <https://github.com/ros-planning/moveit2/issues/1331>)
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>
  * Update plugin library paths (#1304 <https://github.com/ros-planning/moveit2/issues/1304>)
  * Switch to hpp headers of pluginlib
  * Merge pull request #3106 <https://github.com/ros-planning/moveit2/issues/3106> from v4hn/pr-master-bind-them-all / banish bind()
  * Fix clang-tidy
  * kinematics test: remove unused argument
  * Contributors: David V. Lu, Henry Moore, Jochen Sprickerhof, Michael Görner, Robert Haschke, Sebastian Jahr, Vatan Aksoy Tezer, v4hn

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 18 Jul 2022 04:00:00 -0000

ros-rolling-moveit-kinematics (2.5.1-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 31 May 2022 04:00:00 -0000

ros-rolling-moveit-kinematics (2.5.0-1noble) noble; urgency=high

  * Fix reading joint weights in KDLKinematicsPlugin (#1216 <https://github.com/ros-planning/moveit2/issues/1216>)
  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Avoid bind(), use lambdas instead (#1204 <https://github.com/ros-planning/moveit2/issues/1204>)
    Adaption of https://github.com/ros-planning/moveit/pull/3106
  * remove unused arguments from kinematics test
    source https://github.com/ros-planning/moveit/pull/3106/commits/ddb68b6178ecfde267b5c7c9734aa47f6c4c4a5f; I also had to amend moveit_msgs to moveit_msgs::msg in this commit, otherwise everything remains the same as source commit. When I ran the kinematics plugin test locally it threw an error both before and after this change. Hopefully we can revisit this point as part of the code review, the error related to the robot description.
  * Use orocos_kdl_vendor package (#1207 <https://github.com/ros-planning/moveit2/issues/1207>)
  * Use a steady clock for timeout for IK (#795 <https://github.com/ros-planning/moveit2/issues/795>)
  * Merge https://github.com/ros-planning/moveit/commit/a25515b73d682df03ed3eccd839110c296aa79fc
  * Merge https://github.com/ros-planning/moveit/commit/ab42a1d7017b27eb6c353fb29331b2da08ab0039
  * Compilation fixes for Jammy and bring back Rolling CI (#1095 <https://github.com/ros-planning/moveit2/issues/1095>)
  * Add moveit_configs_utils package to simplify loading paramters (#591 <https://github.com/ros-planning/moveit2/issues/591>)
  * round_collada_numbers.py: python 2/3 compatibility (#2983 <https://github.com/ros-planning/moveit2/issues/2983>)
    Python3 requires the files to be opened in binary mode read a bytes object instead of a string, which is needed in turn by etree.parse().
    Co-authored-by: Robert Haschke <mailto:rhaschke@techfak.uni-bielefeld.de>
  * Switch to std::bind (#2967 <https://github.com/ros-planning/moveit2/issues/2967>)
  * Contributors: Abishalini, Gaël Écorchard, Henning Kayser, Jafar, Jafar Abdi, Jochen Sprickerhof, Robert Haschke, Tomislav Bazina, Vatan Aksoy Tezer, jeoseo, v4hn

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 26 May 2022 04:00:00 -0000

ros-rolling-moveit-kinematics (2.4.0-1noble) noble; urgency=high

  * Fix IKFast test dependency (#993 <https://github.com/ros-planning/moveit2/issues/993>)
  * Replace NULL with nullptr (#961 <https://github.com/ros-planning/moveit2/issues/961>)
    * Fixes #841 <https://github.com/ros-planning/moveit2/issues/841>
  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Henning Kayser, Robert Haschke, Stephanie Eng

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 20 Jan 2022 05:00:00 -0000

ros-rolling-moveit-kinematics (2.3.2-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 29 Dec 2021 05:00:00 -0000

ros-rolling-moveit-kinematics (2.3.1-1noble) noble; urgency=high

  * Convert to modern include guard #882 <https://github.com/ros-planning/moveit2/issues/882> (#891 <https://github.com/ros-planning/moveit2/issues/891>)
  * Replaced C-Style Cast with C++ Style Cast. (#935 <https://github.com/ros-planning/moveit2/issues/935>)
  * Add codespell to precommit, fix A LOT of spelling mistakes (#934 <https://github.com/ros-planning/moveit2/issues/934>)
  * Get rid of "std::endl" (#918 <https://github.com/ros-planning/moveit2/issues/918>)
  * changed post-increments in loops to preincrements (#888 <https://github.com/ros-planning/moveit2/issues/888>)
  * Update README (#812 <https://github.com/ros-planning/moveit2/issues/812>)
  * Enforce package.xml format 3 Schema (#779 <https://github.com/ros-planning/moveit2/issues/779>)
  * Update Maintainers of MoveIt package (#697 <https://github.com/ros-planning/moveit2/issues/697>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Dave Coleman, David V. Lu!!, Henning Kayser, Kaustubh, Parthasarathy Bana, Robert Haschke, Sencer Yazıcı, Stephanie Eng, predystopic-dev, pvanlaar

 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 23 Dec 2021 05:00:00 -0000

ros-rolling-moveit-kinematics (2.3.0-1noble) noble; urgency=high

  * Fix cmake warnings (#690 <https://github.com/ros-planning/moveit2/issues/690>)
    * Fix -Wformat-security
    * Fix -Wunused-variable
    * Fix -Wunused-lambda-capture
    * Fix -Wdeprecated-declarations
    * Fix clang-tidy, readability-identifier-naming in moveit_kinematics
  * Fix warnings in Galactic and Rolling (#598 <https://github.com/ros-planning/moveit2/issues/598>)
    * Use __has_includes preprocessor directive for deprecated headers
    * Fix parameter template types
    * Proper initialization of smart pointers, rclcpp::Duration
  * Fix loading joint_limits.yaml in demo and test launch files (#544 <https://github.com/ros-planning/moveit2/issues/544>)
  * Contributors: David V. Lu, Henning Kayser, Jafar Abdi, Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 08 Oct 2021 04:00:00 -0000

ros-rolling-moveit-kinematics (2.2.1-1noble) noble; urgency=high

  * Pluginlib Deprecation Fix (#542 <https://github.com/ros-planning/moveit2/issues/542>)
  * Contributors: David V. Lu!!

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Jul 2021 04:00:00 -0000

ros-rolling-moveit-kinematics (2.2.0-1noble) noble; urgency=high

  * [sync] MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
    * Improve ikfast QUIET handling (#2685 <https://github.com/ros-planning/moveit/issues/2685>)
    * ikfast script: install sympy 0.7.1 from git (#2650 <https://github.com/ros-planning/moveit/issues/2650>)
    * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Contributors: JafarAbdi, Robert Haschke, Tyler Weaver, ags-dy, petkovich

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 30 Jun 2021 04:00:00 -0000

ros-rolling-moveit-kinematics (2.1.4-1noble) noble; urgency=high

  * Enable LMA and KDL kinematic launch tests (#435 <https://github.com/ros-planning/moveit2/issues/435>)
  * Contributors: Vatan Aksoy Tezer

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 31 May 2021 04:00:00 -0000

ros-rolling-moveit-kinematics (2.1.3-1noble) noble; urgency=high

  * Replace last ament_export_libraries macro calls with ament_export_targets (#448 <https://github.com/ros-planning/moveit2/issues/448>)
  * Contributors: Sebastian Jahr

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 22 May 2021 04:00:00 -0000

ros-rolling-moveit-kinematics (2.1.2-1noble) noble; urgency=high

  * Unify PickNik name in copyrights (#419 <https://github.com/ros-planning/moveit2/issues/419>)
  * Contributors: Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 20 Apr 2021 04:00:00 -0000

ros-rolling-moveit-kinematics (2.1.1-1noble) noble; urgency=high

  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * Sync main branch with MoveIt 1 from previous head https://github.com/ros-planning/moveit/commit/0247ed0027ca9d7f1a7f066e62c80c9ce5dbbb5e up to https://github.com/ros-planning/moveit/commit/74b3e30db2e8683ac17b339cc124675ae52a5114
  * [fix] export cmake library install (#339 <https://github.com/ros-planning/moveit2/issues/339>)
  * Python3 compatibility for ikfast's round_collada_numbers.py (#2473 <https://github.com/ros-planning/moveit2/issues/2473>)
  * Fix repo URLs in package.xml files
  * Contributors: Henning Kayser, Jafar Abdi, Tobias Fischer, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 12 Apr 2021 04:00:00 -0000

ros-rolling-moveit-kinematics (2.1.0-1noble) noble; urgency=high

  * [maint] Wrap common cmake code in 'moveit_package()' macro (#285 <https://github.com/ros-planning/moveit2/issues/285>)
    * New moveit_package() macro for compile flags, Windows support etc
    * Add package 'moveit_common' as build dependency for moveit_package()
    * Added -Wno-overloaded-virtual compiler flag for moveit_ros_planners_ompl
  * [maint] small compilation fixes for macOS (#271 <https://github.com/ros-planning/moveit2/issues/271>)
  * [maint] kinematics_base: remove deprecated initialize function (#232 <https://github.com/ros-planning/moveit2/issues/232>)
  * [maint] Enable clang-tidy-fix and ament_lint_cmake (#210 <https://github.com/ros-planning/moveit2/issues/210>)
  * [maint] Simplify kdl now that kinetic support is dropped (#237 <https://github.com/ros-planning/moveit2/issues/237>)
  * [ros2-migration] Migrate to ROS 2 Foxy (#227 <https://github.com/ros-planning/moveit2/issues/227>)
  * [ros2-migration] Port Ikfast kinematics solver (#205 <https://github.com/ros-planning/moveit2/issues/205>)
  * [ros2-migration] Port CachedIKKinematicsPlugin to ROS2 (#207 <https://github.com/ros-planning/moveit2/issues/207>)
  * Contributors: Henning Kayser, Jafar Abdi, Lior Lustgarten, Mark Moll, Mohmmad Ayman, Nathan Brooks, Ruffin

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 23 Nov 2020 05:00:00 -0000

ros-rolling-moveit-kinematics (2.0.0-1noble) noble; urgency=high

  * [port] Port moveit kinematics to ROS2 (#128 <https://github.com/ros-planning/moveit2/issues/128>)
  * Contributors: Henning Kayser, Jafar Abdi

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 17 Feb 2020 05:00:00 -0000

ros-rolling-moveit-kinematics (1.1.1-1noble) noble; urgency=high

  * [fix] various issues with Noetic build (#2327 <https://github.com/ros-planning/moveit/issues/2327>)
  * [fix] python3 issues (#2323 <https://github.com/ros-planning/moveit/issues/2323>)
  * Contributors: G.A. vd. Hoorn, Michael Görner, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Tue, 13 Oct 2020 04:00:00 -0000

ros-rolling-moveit-kinematics (1.1.0-1noble) noble; urgency=high

  * [feature] Implementation of parameter TranslationXY2D IKFast (#1949 <https://github.com/ros-planning/moveit/issues/1949>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Delete IKCache copy constructor (#1750 <https://github.com/ros-planning/moveit/issues/1750>)
  * [maint] Move NOLINT instructions to intended positions (#2058 <https://github.com/ros-planning/moveit/issues/2058>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>) (#2004 <https://github.com/ros-planning/moveit/issues/2004>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Fix various build issues on Windows (#1880 <https://github.com/ros-planning/moveit/issues/1880>)
  * [maint] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 for portability (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * [maint] Relax dependencies of moveit_kinematics (#1529 <https://github.com/ros-planning/moveit/issues/1529>)
  * Contributors: Ayush Garg, Christian Henkel, Dave Coleman, Henning Kayser, Immanuel Martini, Jonathan Binney, Markus Vieth, Martin Günther, Michael Ferguson, Michael Görner, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan, edetleon, jschleicher, v4hn

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 04 Sep 2020 04:00:00 -0000

ros-rolling-moveit-kinematics (1.0.6-1noble) noble; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke, Michael Görner

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 19 Aug 2020 04:00:00 -0000

ros-rolling-moveit-kinematics (1.0.5-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 08 Jul 2020 04:00:00 -0000

ros-rolling-moveit-kinematics (1.0.4-1noble) noble; urgency=high

  * Fix broken IKFast generator (#2116 <https://github.com/ros-planning/moveit/issues/2116>)
  * Contributors: Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 30 May 2020 04:00:00 -0000

ros-rolling-moveit-kinematics (1.0.3-1noble) noble; urgency=high

  * [feature] KDL IK: constrain wiggled joints to limits (#1953 <https://github.com/ros-planning/moveit/issues/1953>)
  * [feature] IKFast: optional prefix for link names (#1599 <https://github.com/ros-planning/moveit/issues/1599>)
    If you pass a link_prefix parameter in your kinematics.yaml, this string is prepended to the base and tip links.
    It allows multi-robot setups (e.g. dual-arm) and still instantiate the same solver for both manipulators.
  * [feature] IKFast: increase verbosity of generated script (#1434 <https://github.com/ros-planning/moveit/issues/1434>)
  * [maint]   Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint]   Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [feature] IKFast: implement Translation*AxisAngle4D IK type (#1823 <https://github.com/ros-planning/moveit/issues/1823>)
  * [fix]     Fix possible division-by-zero (#1809 <https://github.com/ros-planning/moveit/issues/1809>)
  * Contributors: Christian Henkel, Martin Günther, Max Krichenbauer, Michael Görner, Robert Haschke, Sean Yen, Yu, Yan, jschleicher

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 26 Apr 2020 04:00:00 -0000

ros-rolling-moveit-kinematics (1.0.2-1noble) noble; urgency=high

  * [fix] KDL IK solver: fix handling of mimic joints (#1490 <https://github.com/ros-planning/moveit/issues/1490>)
  * [fix] Fix ROS apt-key in OpenRAVE docker image (#1503 <https://github.com/ros-planning/moveit/issues/1503>)
  * [fix] Fix ikfast plugin-generator script (#1492 <https://github.com/ros-planning/moveit/issues/1492>, #1449 <https://github.com/ros-planning/moveit/issues/1449>)
  * Contributors: Immanuel Martini, Michael Görner, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 28 Jun 2019 04:00:00 -0000

ros-rolling-moveit-kinematics (1.0.1-1noble) noble; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 08 Mar 2019 05:00:00 -0000

ros-rolling-moveit-kinematics (1.0.0-1noble) noble; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * [capability] Adapt ikfast plugin to new KinematicsBase API. #1320 <https://github.com/ros-planning/moveit/issues/1320>
  * [improve] cleanup LMA kinematics solver #1318 <https://github.com/ros-planning/moveit/issues/1318>
  * [improve] KDL IK solver improvements (#1321 <https://github.com/ros-planning/moveit/issues/1321>)
  * [improve] Kinematics tests, kdl cleanup #1272 <https://github.com/ros-planning/moveit/issues/1272>, #1294 <https://github.com/ros-planning/moveit/issues/1294>
  * Contributors: Dave Coleman, Jorge Nicho, Mike Lautman, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 24 Feb 2019 05:00:00 -0000

ros-rolling-moveit-kinematics (0.10.8-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 24 Dec 2018 05:00:00 -0000

ros-rolling-moveit-kinematics (0.10.7-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 13 Dec 2018 05:00:00 -0000

ros-rolling-moveit-kinematics (0.10.6-1noble) noble; urgency=high

  * [enhancement] Pass RobotModel to IK, avoiding multiple loading (#1166 <https://github.com/ros-planning/moveit/issues/1166>)
    See MIGRATION notes <https://github.com/ros-planning/moveit/blob/melodic-devel/MIGRATION.md> for API changes in IK plugins,
    kdl, srv, or cached_ik for examples.
  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Use C++14 (#1146 <https://github.com/ros-planning/moveit/issues/1146>)
  * Contributors: Alex Moriarty, Michael Görner, Robert Haschke

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 09 Dec 2018 05:00:00 -0000

ros-rolling-moveit-kinematics (0.10.5-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Thu, 01 Nov 2018 04:00:00 -0000

ros-rolling-moveit-kinematics (0.10.4-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 29 Oct 2018 04:00:00 -0000

ros-rolling-moveit-kinematics (0.10.3-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 29 Oct 2018 04:00:00 -0000

ros-rolling-moveit-kinematics (0.10.2-1noble) noble; urgency=high

  * [capability] add IKP_Translation{X,Y,Z}AxisAngle4D to the cpp template, see https://github.com/ros-planning/moveit/issues/548#issuecomment-316298918
  * [maintenance] various compiler warnings (#1038 <https://github.com/ros-planning/moveit/issues/1038>)
  * Contributors: Kei Okada, Mikael Arguedas, Mohmmad Ayman, Robert Haschke, mike lautman, v4hn

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 24 Oct 2018 04:00:00 -0000

ros-rolling-moveit-kinematics (0.10.1-1noble) noble; urgency=high

  * migration from tf to tf2 API (#830 <https://github.com/ros-planning/moveit/issues/830>)
  * switch to ROS_LOGGER from CONSOLE_BRIDGE (#874 <https://github.com/ros-planning/moveit/issues/874>)
  * fixes to ikfast kinematics plugin (#808 <https://github.com/ros-planning/moveit/issues/808>)
  * Cached ik kinematics plugin (#612 <https://github.com/ros-planning/moveit/issues/612>)
    add caching wrapper for IK solvers
  * Contributors: Ian McMahon, Mark Moll, Mikael Arguedas, Robert Haschke, Xiaojian Ma

 -- Henning Kayser <henningkayser@picknik.ai>  Fri, 25 May 2018 04:00:00 -0000

ros-rolling-moveit-kinematics (0.9.11-1noble) noble; urgency=high

  * Merge pull request #714 <https://github.com/ros-planning/moveit/issues/714> from henhenhen/kinetic-devel_lookup-param
    Use lookupParam() in kinematics plugins
  * Replace param() with lookupParam() in srv_kinematics_plugin
  * Replace param() with lookupParam() in lma_kinematics_plugin
  * Replace param() with lookupParam() in kdl_kinematics_plugin
  * Replace param() with lookupParam() in ikfast_kinematics_plugin
  * Remove redundant parameter query
  * Contributors: Henning Kayser, Isaac I.Y. Saito

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 25 Dec 2017 05:00:00 -0000

ros-rolling-moveit-kinematics (0.9.10-1noble) noble; urgency=high

  * [fix][kinetic onward] Fix create_ikfast_moveit_plugin to comply with format 2 of the package.xml. Remove collada_urdf dependency #666 <https://github.com/ros-planning/moveit/pull/666>
  * [fix] create_ikfast_moveit_plugin: fixed directory variable for templates that were moved to ikfast_kinematics_plugin #620 <https://github.com/ros-planning/moveit/issues/620>
  * [improve] IKFastTemplate: Expand solutions to full joint range in searchPositionIK #598 <https://github.com/ros-planning/moveit/issues/598>
  * [improve] IKFastTemplate: searchPositionIK now returns collision-free solution which is nearest to seed state. (#585 <https://github.com/ros-planning/moveit/issues/585>)
  * Contributors: Dennis Hartmann, G.A. vd. Hoorn, Michael Görner, fsuarez6

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Dec 2017 05:00:00 -0000

ros-rolling-moveit-kinematics (0.9.9-1noble) noble; urgency=high

  * [improve] Modify ikfast_template for getPositionIK single solution results (#537 <https://github.com/ros-planning/moveit/issues/537>)
  * Contributors: nsnitish

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 06 Aug 2017 04:00:00 -0000

ros-rolling-moveit-kinematics (0.9.8-1noble) noble; urgency=high

  * [build] ikfast_kinematics_plugin: Write XML files as UTF-8 (#514 <https://github.com/ros-planning/moveit/issues/514>)
  * [build] adjust cmake_minimum_required for add_compile_options (#521 <https://github.com/ros-planning/moveit/issues/521>)
  * [build] ikfast_kinematics_plugin: Add c++11 compile option. This is required for Kinetic.
  * Contributors: Martin Guenther, Michael Goerner

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 21 Jun 2017 04:00:00 -0000

ros-rolling-moveit-kinematics (0.9.7-1noble) noble; urgency=high

  * [fix][Kinetic+] ikfast_kinematics_plugin: Add c++11 compile option #515 <https://github.com/ros-planning/moveit/pull/515>
  * [fix][Indigo] moveit_kinematics Eigen3 dependency (#470 <https://github.com/ros-planning/moveit/issues/470>)
  * Contributors: Martin Guenther, YuehChuan

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 05 Jun 2017 04:00:00 -0000

ros-rolling-moveit-kinematics (0.9.6-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 12 Apr 2017 04:00:00 -0000

ros-rolling-moveit-kinematics (0.9.5-1noble) noble; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * Contributors: Dave Coleman

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 08 Mar 2017 05:00:00 -0000

ros-rolling-moveit-kinematics (0.9.4-1noble) noble; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 06 Feb 2017 05:00:00 -0000

ros-rolling-moveit-kinematics (0.9.3-1noble) noble; urgency=high

  * [fix] Replace unused service dependency with msg dep (#361 <https://github.com/ros-planning/moveit/issues/361>)
  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 16 Nov 2016 05:00:00 -0000

ros-rolling-moveit-kinematics (0.9.2-1noble) noble; urgency=high

  * [Maintenance] Auto format codebase using clang-format (#284 <https://github.com/ros-planning/moveit/issues/284>)
  * Contributors: Dave Coleman

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 05 Nov 2016 04:00:00 -0000

ros-rolling-moveit-kinematics (0.9.0-1noble) noble; urgency=high

  * Add dependency on new moveit_kinematics package
  * Move moveit_ikfast into moveit_kinematics
  * Moved kinematics plugins to new pkg moveit_kinematics
  * Contributors: Dave Coleman

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 19 Oct 2016 04:00:00 -0000

ros-rolling-moveit-kinematics (0.8.3-1noble) noble; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 21 Aug 2016 04:00:00 -0000


